msgpack::adaptor::as< boost::optional< T >, typename std::enable_if< msgpack::has_as< T >::value >::type > Struct Template Reference

`#include <optional.hpp>`

## Public Member Functions

boost::optional< T > | operator() (msgpack::object const &o) const

## Member Function Documentation

## operator()()

template<typename T >

boost::optional<T> msgpack::adaptor::as< boost::optional< T >, typename std::enable_if< msgpack::has_as< T >::value >::type >::operator() | ( | msgpack::object const & | o | ) | const

inline

References msgpack::object::as(), and msgpack::object::is_nil().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/boost/optional.hpp